require "streetlib/vault/version"
require 'streetlib/vault/error'
require 'streetlib/vault/content'
require 'streetlib/vault/loader'
require 'mu/result'

module Streetlib
  module Vault
    include Mu
       
    def self.load(path:)
      result = Loader.load(path: path)
      if result.error?
        raise Error.new("Can't load file: #{path}. [code:#{result.code}]")
      end
      result.data.content
    end

  end
end